package com.bcxin.risk.common.dto.data;

import com.bcxin.risk.common.domain.OrgRegion;
import lombok.Data;

import java.util.Map;

/**
 * @param oid
 * @return
 * @auther Administrator
 * @date 2017/06/13 0013
 * @注意事项 </b>
 */
@Data
public class OrgRegionDataDto {

    private String region_id;

   public OrgRegionDataDto(Map<String,Object> map){
        this.region_id = safeTransfor(map.get("region_id"));
   }


    /**
     *
     * <b>Function 将Object安全转换为String</b>
     *
     * @param obj
     * @return
     * @author llc
     * @date 2017年5月6日
     * @注意事项 </b>
     * <b>
     */
    private static String safeTransfor(Object obj){
        if ( obj == null ) {
            return "";
        }
        return obj.toString();
    }
}
